//---------------------------------------------------------------------------
#ifndef fPathsH
#define fPathsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <sgConsts.hpp>
//---------------------------------------------------------------------------

class TfmPaths : public TForm
{
__published:	// IDE-managed Components
  TGroupBox *grPaths;
  TLabel *lblPathInfo;
  TLabel *lblInvalidInfo;
  TListBox *lbPaths;
  TEdit *edPath;
  TButton *btnAddPath;
  TButton *btnReplace;
  TButton *btnAdd;
  TButton *btnDelete;
  TButton *btndeInvPaths;
  TBitBtn *bnbtnUp;
  TBitBtn *btbtnDown;
  TButton *btnOK;
  TButton *btnCancel;
  TButton *btnAddAutoCAD;
  void __fastcall btnReplaceClick(TObject *Sender);
  void __fastcall btnAddClick(TObject *Sender);
  void __fastcall btnDeleteClick(TObject *Sender);
  void __fastcall btndeInvPathsClick(TObject *Sender);
  void __fastcall btnAddPathClick(TObject *Sender);
  void __fastcall edPathChange(TObject *Sender);
  void __fastcall btnAddAutoCADClick(TObject *Sender);
  void __fastcall btbtnDownClick(TObject *Sender);
  void __fastcall bnbtnUpClick(TObject *Sender);
  void __fastcall lbPathsClick(TObject *Sender);
  void __fastcall lbPathsDrawItem(TWinControl *Control, int Index,
          TRect &Rect, TOwnerDrawState State);
private:	// User declarations
  void __fastcall UpDown(int Index);
public:		// User declarations
  bool FShowAddAutoCADPath;
  __fastcall TfmPaths(TComponent* Owner);
};
//---------------------------------------------------------------------------
bool DirectoryExists(const AnsiString Name);
bool SelectDirectory(const AnsiString Caption, const WideString Root, AnsiString * Directory);
bool GetPathsExcute(AnsiString * APaths, bool AShowAddAutoCADPath);
//---------------------------------------------------------------------------
extern PACKAGE TfmPaths *fmPaths;
//---------------------------------------------------------------------------
#endif
